## PkDistroUpgrade PkDistroUpgrade |

## Synopsis

                        PkDistroUpgradePrivate;
                        PkDistroUpgrade;
    PkDistroUpgrade *   pk_distro_upgrade_new               (void);

## Object Hierarchy

      GObject
       +----PkDistroUpgrade

## Properties

      "name"                     gchar*                : Read / Write
      "state"                    guint                 : Read / Write
      "summary"                  gchar*                : Read / Write

## Description

## Details

### PkDistroUpgradePrivate

    typedef struct _PkDistroUpgradePrivate PkDistroUpgradePrivate;

Private PkDistroUpgrade data

### PkDistroUpgrade

    typedef struct _PkDistroUpgrade PkDistroUpgrade;

### pk_distro_upgrade_new ()

    PkDistroUpgrade *   pk_distro_upgrade_new               (void);

Returns : | a new PkDistroUpgrade object.

## Property Details

### The `"name"` property

      "name"                     gchar*                : Read / Write

Default value: NULL

### The `"state"` property

      "state"                    guint                 : Read / Write

Default value: 0

### The `"summary"` property

      "summary"                  gchar*                : Read / Write

Default value: NULL